public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/android-udev-rules/
Date: Mon, 13 Nov 2023 11:55:38 +0000 (UTC)	[thread overview]
Message-ID: <1699876429.a9f69f44715707f8bc6c3fac4bc8c8cd814d235e.dlan@gentoo> (raw)

commit:     a9f69f44715707f8bc6c3fac4bc8c8cd814d235e
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sat Nov  4 18:15:17 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Nov 13 11:53:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9f69f44

dev-util/android-udev-rules: add 20231104

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-util/android-udev-rules/Manifest               |  1 +
 .../android-udev-rules-20231104.ebuild             | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-util/android-udev-rules/Manifest b/dev-util/android-udev-rules/Manifest
index cc1a47a7e871..231d3d890b3f 100644
--- a/dev-util/android-udev-rules/Manifest
+++ b/dev-util/android-udev-rules/Manifest
@@ -2,3 +2,4 @@ DIST android-udev-rules-20220903.tar.gz 21009 BLAKE2B 4f0375b574f123e7cbd1865858
 DIST android-udev-rules-20230104.tar.gz 21266 BLAKE2B bbae83511b1fa5e94a50ae3cc44920862de30873304c0a904b4f9d3796296deff419c05db5d716cc89587c3a7ae7a302b2b219564e452564c5f3bf092e7515af SHA512 dcc45755a5a20a74d2241b398dba0e65135bf9c5539396bd6a3415b15fd865f4d3134de53de1ae2019ffe9567c557b5a386fdfe0245107b29c234a2211e0a211
 DIST android-udev-rules-20230303.tar.gz 21458 BLAKE2B 6e9299d516fb6e69db526db0626f75580e2fcb5ebe798528a00f0fafb7f309f2b460b8f4ba7f1d4e17c08805e208272c1a06f773a4d2fe12fb64e7d84bfef6da SHA512 744aab41f3506281203ae8571d6c5d6b48b187df30df9fbbbf47b123a64dfe039f18b7f5b0e8632a2799d2f0f0b08a4975106dec2a24c7f8390dd60c0581c18b
 DIST android-udev-rules-20230614.tar.gz 22013 BLAKE2B eece288e673be456e6b470471e34fe744d59d13f052331efc23181c77e2dc83d31ca6a95e965a2ca35736a3c8bb478c5494bf2319b25cec215432b8fa6da78d2 SHA512 983282a6adcbc200e548985d403a317e0cca48282ec17cf8496f7009df9a75e4c6a16a2ec0a65214a019acfdf550fb6450ef1dfe4021d8e9449988427f9c25c2
+DIST android-udev-rules-20231104.tar.gz 24127 BLAKE2B d70ed1305da1a6115aa4e597318b0cab307ef75f7e75e8ffd0f07857e6523ac8153cbc0c306ad1fe850688145e8738a626ed63b08bf514c57baedb2ee6b9d1a7 SHA512 c1d44d6fbb2f3e05b0e53887c43e4dfc3560ff27c56773ec45927686ce5962400a778da823d58d5ecd8c604fd410bf8aa33058a4a2bc2b724397c4fa7ea9fbe6

diff --git a/dev-util/android-udev-rules/android-udev-rules-20231104.ebuild b/dev-util/android-udev-rules/android-udev-rules-20231104.ebuild
new file mode 100644
index 000000000000..62f49b941ae8
--- /dev/null
+++ b/dev-util/android-udev-rules/android-udev-rules-20231104.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit udev
+
+DESCRIPTION="Android udev rules list aimed to be the most comprehensive on the net"
+HOMEPAGE="https://github.com/M0Rf30/android-udev-rules"
+SRC_URI="https://github.com/M0Rf30/android-udev-rules/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+# No tests
+RESTRICT="test"
+
+RDEPEND="
+	acct-group/android
+	virtual/udev
+"
+
+src_prepare() {
+	default
+
+	# Use the pre-existing android group
+	sed -i 's/GROUP="adbusers"/GROUP="android"/' 51-android.rules || die
+}
+
+src_install() {
+	udev_dorules 51-android.rules
+	einstalldocs
+}
+
+pkg_postinst() {
+	udev_reload
+}
+
+pkg_postrm() {
+	udev_reload
+}


             reply	other threads:[~2023-11-13 11:55 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-13 11:55 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-28 15:10 [gentoo-commits] repo/gentoo:master commit in: dev-util/android-udev-rules/ Sam James
2025-03-28 15:10 Sam James
2024-12-20 15:43 Sam James
2024-12-12  2:46 Sam James
2024-11-19 19:11 Arthur Zamarin
2024-11-08  7:50 Florian Schmaus
2024-10-29 15:39 Sam James
2024-09-01 23:31 Yixun Lan
2024-09-01 23:31 Yixun Lan
2024-08-24 10:45 Sam James
2024-07-04  4:07 Eli Schwartz
2024-07-04  4:07 Eli Schwartz
2024-04-06 21:07 Arthur Zamarin
2024-02-22  0:43 Yixun Lan
2024-02-22  0:43 Yixun Lan
2024-02-15  6:50 Joonas Niilola
2024-01-17  5:50 Sam James
2024-01-16  8:39 Florian Schmaus
2024-01-16  8:39 Florian Schmaus
2024-01-14 14:58 Sam James
2023-12-16  7:22 Joonas Niilola
2023-12-13  7:54 Florian Schmaus
2023-12-06  6:56 Yixun Lan
2023-11-13 11:55 Yixun Lan
2023-07-19  5:47 Joonas Niilola
2023-07-19  5:47 Joonas Niilola
2023-06-16 18:12 Sam James
2023-06-16 14:07 Sam James
2023-06-15  7:47 Florian Schmaus
2023-03-04  7:18 Sam James
2023-01-08  9:40 Florian Schmaus
2022-10-27  7:57 Joonas Niilola
2022-10-26 11:02 Sam James
2022-10-03  4:35 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1699876429.a9f69f44715707f8bc6c3fac4bc8c8cd814d235e.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox